import { __assign } from "tslib";
import * as React from "react";
export var withContext = function (context) { return function (component) { return function (props) {
    return React.createElement(context.Consumer, null, function (consumerProps) {
        return React.createElement(component, __assign(__assign({}, props), consumerProps));
    });
}; }; };
